Bug 1926907 - Review Request: perl-CGI - Handle Common Gateway Interface requests and responses
Summary: Review Request: perl-CGI - Handle Common Gateway Interface requests and respo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: Module Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-09 16:17 UTC by Jitka Plesnikova
Modified: 2021-03-19 17:45 UTC (History)
3 users (show)

Fixed In Version: perl-CGI-4.51-3520210303092153.7b434ab7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 17:45:58 UTC
Type: Bug
ppisar: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2021-02-09 16:17:44 UTC
Modulemd URL: https://jplesnik.fedorapeople.org/modules/perl-CGI.yaml

CGI.pm is a stable, complete and mature solution for processing and 
preparing HTTP requests and responses. Major features including processing
form submissions, file uploads, reading and writing cookies, query string
generation and manipulation, and processing and preparing HTTP headers.
Some HTML generation utilities are included as well.
CGI.pm performs very well in in a vanilla CGI.pm environment and also comes 
with built-in support for mod_perl and mod_perl2 as well as FastCGI.

Fedora Account System Username: jplesnik

Comment 1 Jitka Plesnikova 2021-02-09 16:21:06 UTC
According to the packaging guidelines, a module owner has to have an access to all components of the module. Please grant me (jplesnik) a commit (or admin) permission to these components:

spot: perl-Test-Warn
pghmcfc: perl-Sub-Uplevel

Comment 2 Tom "spot" Callaway 2021-02-09 17:03:37 UTC
You have commit access on perl-Test-Warn now.

Comment 3 Paul Howarth 2021-02-10 12:18:18 UTC
You have admin access on perl-Sub-Uplevel now.

Comment 4 Petr Pisar 2021-02-10 13:43:59 UTC
jplesnik has a commit access to all the components. Ok.
All dist-git references are valid. Ok.
All build-time only components are flagged. Ok.
All components exists in non-modular Fedora. Ok.

$ modulemd-validator perl-CGI.yaml 
perl-CGI.yaml validated successfully
Syntax is Ok.

TODO: Add f35 (and maybe eln) platform to the dependencies.

The module fails to build in Fedora infrastructure (<https://mbs.fedoraproject.org/module-build-service/2/module-builds/11242>, <https://mbs.fedoraproject.org/module-build-service/2/module-builds/11243>): Building module-build-macros component failed with "GenericError: Build already in progress (task 61705564)". I think that MBS is overloaded and lost synchronization with Koji.

The module builds locally. Ok.

The package is in line with Fedora modules policy.
The module is APPROVED.

Comment 5 Jitka Plesnikova 2021-02-10 17:05:48 UTC
https://pagure.io/releng/fedora-scm-requests/issue/32090

Comment 6 Mohan Boddu 2021-02-19 20:14:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/modules/perl-CGI

Comment 7 Jitka Plesnikova 2021-02-21 14:48:16 UTC
Request branch 4.51

https://pagure.io/releng/fedora-scm-requests/issue/32259

Comment 8 Petr Pisar 2021-03-02 12:14:46 UTC
Now rpms/perl-CGI produces perl-CGI-tests binary package (6f3bcba9018f1fe90025cace0684e380ba867f1f commit) which should be filtered from the module. Please add /data/filter/rpms/perl-CGI-tests entry to the modulemd file.

Comment 9 Jitka Plesnikova 2021-03-03 08:21:37 UTC
Thanks for the warning, I updated the modulemd file.

Comment 10 Fedora Update System 2021-03-03 10:45:32 UTC
FEDORA-MODULAR-2021-f4e066c781 has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-f4e066c781

Comment 11 Fedora Update System 2021-03-08 15:34:25 UTC
FEDORA-MODULAR-2021-f4e066c781 has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-f4e066c781

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-19 17:45:58 UTC
FEDORA-MODULAR-2021-f4e066c781 has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.